Runtime

## org.eclipse.gmf.runtime.common.ui.util
Interface IWorkbenchPartDescriptor

All Known Implementing Classes:
  WorkbenchPartDescriptor

public interface IWorkbenchPartDescriptor

A descriptor for a workbench part using its id, class and page

Method Summary
`java.lang.Class` `getPartClass()` Gets the class of the workbench part
`java.lang.String` `getPartId()` Gets the id of the workbench part
`IWorkbenchPage` `getPartPage()` Gets the page of the workbench part

Method Detail

### getPartId

    public java.lang.String getPartId()

  Gets the id of the workbench part

  Returns:
    The id of the workbench part

### getPartClass

    public java.lang.Class getPartClass()

  Gets the class of the workbench part

  Returns:
    The class of the workbench part

### getPartPage

    public IWorkbenchPage getPartPage()

  Gets the page of the workbench part

  Returns:
    The page of the workbench part

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.